Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.verifier.exc
Class ClassConstraintException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.bcel.verifier.exc.VerifierConstraintViolatedException
                      org.apache.bcel.verifier.exc.VerificationException
                          org.apache.bcel.verifier.exc.ClassConstraintException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  LocalVariableInfoInconsistentException

    public class ClassConstraintException

extends VerificationException

Instances of this class are thrown by BCEL's class file verifier "JustIce" when a class file to verify does not pass the verification pass 2 as described in the Java Virtual Machine specification, 2nd edition.

Version:
  $Id: ClassConstraintException.java 371539 2006-01-23 14:08:00Z tcurdt $
See Also:
  Serialized Form

Constructor Summary
`ClassConstraintException()` Constructs a new ClassConstraintException with null as its error message string.
`ClassConstraintException(String message)` Constructs a new ClassConstraintException with the specified error message.

Method Summary

Methods inherited from class org.apache.bcel.verifier.exc.VerifierConstraintViolatedException
`extendMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassConstraintException

    public ClassConstraintException()

  Constructs a new ClassConstraintException with null as its error message string.

### ClassConstraintException

    public ClassConstraintException(String message)

  Constructs a new ClassConstraintException with the specified error message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.